<?php

namespace Fgm\ComposerCheck;

/**
 * Class ReporterBase is a base class for Reporter classes.
 */
abstract class ReporterBase implements ReporterInterface {

  /**
   * Report on a set of Composer requirements.
   *
   * @param \Fgm\ComposerCheck\MergeBox $mergeBox
   *   A merge box instance containing requirements.
   *
   * @return string
   *   The formatted report output.
   */
  abstract public function report(MergeBox $mergeBox): string;

}
