# Drupal Composer check

This Drush plugin provides a `composer-check` (alias `cck`) command, which 
compares the packages versions in `composer.lock` with those requested in the
`composer.json` file of a Drupal 8 project.


## Syntax

* Arguments:
  * `composer.lock`: Optional. The path to the lock file. Defaults to the one in 
    Drupal root.
* Options:
  * `--all`: List all locked packages, even those not requested
  * `--yaml`: Produce YAML output instead of a table
* Aliases: `cck`


# Composer / Packagist

This package is available on [Packagist] as `fgm/composer-check`, but for now the 
`config` section of your `composer.json` will need `"secure-http": false` 
because this repo is not yet available over HTTPS.

[Packagist]: https://packagist.org/packages/fgm/composer-check


# Examples

* Default usage in a `drupal/drupal` project:

      drush cck

* Listing all packages in a `drupal-composer/drupal-project` project, in YAML format:

      drush cck --all --yaml $PWD/composer.lock


# License

Like any Drupal code, this plugin is licensed under the General Public License,
version 2.0 or later.

For jurisdictions needing it, it is also licensed under the CeCILL 2.1 or later.
